Bug 1170124 - rpm install not always keep the native architecture of the machine in multilib environment
Summary: rpm install not always keep the native architecture of the machine in multili...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm
Version: 6.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Packaging Maintenance Team
QA Contact: Marek Marusic
URL:
Whiteboard:
Keywords:
Depends On: 1170119
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-03 10:39 UTC by Patrik Kis
Modified: 2015-07-22 07:03 UTC (History)
3 users (show)

(edit)
Clone Of: 1170119
(edit)
Last Closed: 2015-07-22 07:03:29 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1452 normal SHIPPED_LIVE rpm bug fix and enhancement update 2015-07-20 18:43:47 UTC

Description Patrik Kis 2014-12-03 10:39:28 UTC
The issue appears also on RHEL-6.

[root@rhel6 ~]# rpm -q rpm
rpm-4.8.0-37.el6.x86_64
[root@rhel6 ~]# uname -p
x86_64
[root@rhel6 ~]# 
[root@rhel6 ~]# rpm -ivh krb5-server-*rpm krb5-devel-*rpm
warning: krb5-server-1.10.3-33.el6.x86_64.rpm: Header V3 RSA/SHA256 Signature, key ID fd431d51: NOKEY
Preparing...                ########################################### [100%]
   1:krb5-devel             ########################################### [ 25%]
   2:krb5-server            ########################################### [ 50%]
   3:krb5-devel             ########################################### [ 75%]
   4:krb5-server            ########################################### [100%]
[root@rhel6 ~]# 
[root@rhel6 ~]# 
[root@rhel6 ~]# file /usr/bin/sclient /usr/sbin/sserver 
/usr/bin/sclient:  ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, stripped
/usr/sbin/sserver: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, stripped
[root@rhel6 ~]# 

+++ This bug was initially created as a clone of Bug #1170119 +++

Description of problem:
In multilib environment if booth architectures are installed the native architecture of the machine should appear on the disk (e.g. on x86_64 machine if booth i686 and x86_64 version of a package are installed the x86_64 versions of binaries and libraries should be installed). This can be broken under certain circumstances.

Version-Release number of selected component (if applicable):
rpm-4.11.1-23.el7

How reproducible:
always

Steps to Reproduce:

[root@rhel70 new]# uname -p
x86_64
[root@rhel70 new]# rpm -qa krb5\*
krb5-libs-1.12.2-8.el7.i686
krb5-libs-1.12.2-8.el7.x86_64
[root@rhel70 new]# rpm -ivh krb5-server-1.12.2-8.el7.*.rpm krb5-devel-1.12.2-8.el7.*.rpm
Preparing...                          ################################# [100%]
Updating / installing...
   1:krb5-devel-1.12.2-8.el7          ################################# [ 25%]
   2:krb5-server-1.12.2-8.el7         ################################# [ 50%]
   3:krb5-devel-1.12.2-8.el7          ################################# [ 75%]
   4:krb5-server-1.12.2-8.el7         ################################# [100%]
[root@rhel70 new]# file /usr/bin/sclient /usr/sbin/sserver
/usr/bin/sclient:  ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.32, BuildID[sha1]=0xefe01735210a6015283c3bd7a8e6256f2d1bc4d6, stripped
/usr/sbin/sserver: ELF 32-bit LSB shared object, Intel 80386, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.32, BuildID[sha1]=0xd1930e90c926388d35f3e01868a2169267207d13, stripped
[root@rhel70 new]# 
[root@rhel70 new]# rpm -qV krb5-devel.i686 
[root@rhel70 new]# rpm -qV krb5-devel.x86_64
S.5......    /usr/bin/sclient
S.5......    /usr/sbin/sserver
[root@rhel70 new]# rpm -qV krb5-server.i686 
[root@rhel70 new]# rpm -qV krb5-server.x86_64
S.5......    /usr/bin/sclient
S.5......    /usr/sbin/sserver
[root@rhel70 new]# 

Additional info:

The bug demonstrated itself because by mistake booth arch od krb5-server were distributed, what is a mistake. In the past only 2 krb5-devel and 1 krb5-server packages were released, and in that case the problem does not appear. In any case, this bug should be fixed also on rpm level.

[root@rhel70 new]# rpm -ivh krb5-server-1.12.2-8.el7.x86_64.rpm krb5-devel-1.12.2-8.el7.*.rpm
Preparing...                          ################################# [100%]
Updating / installing...
   1:krb5-devel-1.12.2-8.el7          ################################# [ 33%]
   2:krb5-server-1.12.2-8.el7         ################################# [ 67%]
   3:krb5-devel-1.12.2-8.el7          ################################# [100%]
[root@rhel70 new]# file /usr/bin/sclient /usr/sbin/sserver
/usr/bin/sclient:  ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.32, BuildID[sha1]=0xba6c46db5380ecefac4788835d67e3fe9359aeba, stripped
/usr/sbin/sserver: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.32, BuildID[sha1]=0x1cfa9c9cd8c10594aafbc4085ee0d39b5d86b553, stripped
[root@rhel70 new]# rpm -qV krb5-devel.i686 
[root@rhel70 new]# rpm -qV krb5-devel.x86_64
[root@rhel70 new]# rpm -qV krb5-server.x86_64
[root@rhel70 new]#

Comment 5 errata-xmlrpc 2015-07-22 07:03:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1452.html


Note You need to log in before you can comment on or make changes to this bug.